using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.Threading.Tasks;
using WcfServices.Dto;

namespace WcfServices.Contract
{
    [ServiceContract]
    public interface IPersonalEventTypeService
    {

        [OperationContract]
        Task<IEnumerable<PersonalEventTypeDto>> GetPersonalEventTypesAsync(FilterDto filterDto);
        [OperationContract]
        Task<PersonalEventTypeDto> GetPersonalEventTypeByIdAsync(int id);
        [OperationContract]
        Task CreatePersonalEventTypeAsync(PersonalEventTypeDto userDto);
        [OperationContract]
        Task UpdatePersonalEventTypeAsync(PersonalEventTypeDto userDto);
        [OperationContract]
        Task DeletePersonalEventTypeAsync(int id);

    }

}
